//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:        Vb2.h        
//   
// PURPOSE:     Counter button
//   
// COMMENTS:     
//   
// HISTORY:     920608AH
//   
//****************************************************************************                    

#ifndef RC_INVOKED 

//---------------------------------------------------------------------------
// Property info
//---------------------------------------------------------------------------


PPROPINFO proplistCntr_Vb2[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_FORECOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TAG,
    &propinfoCntrValue,
    &propinfoCntrDigitsLeft,
    &propinfoCntrDigitsRight,
    &propinfoCntrBackColorRight,
    &propinfoCntrForeColorRight,    
    &Property_Counter_About,
    &propinfoCntrButtons,
    &propinfoCntrLook3D,
    &propinfoCntrFont3D,
    &propinfoCntrSeparators,
    &propinfoCntrChangeValue,
    PPROPINFO_STD_BORDERSTYLEON,
    &propinfoCntrhWnd,
    NULL
};

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistCntr_Vb2[] =
{
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------
MODEL modelCntr_Vb2 =
{
    VB200_VERSION,                      // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk,// MODEL flags
    (PCTLPROC)CntrCtlProc,              // Control procedure
    CS_VREDRAW | CS_HREDRAW,            // Class style
    WS_BORDER,		                    // Default Window style
    sizeof(CNTR),                       // Size of CNTR structure
    IDBMP_CNTR,                         // Palette bitmap ID
    "EsCounter",			 			// Default control name
    "EsCounter",			 			// Visual Basic class name
    NULL,                               // Parent class name
    proplistCntr_Vb2,                   // Properties list
    eventlistCntr_Vb2,                  // Events list 
    IPROP_CNTR_VALUE,					// Default property
	EVENT_CNTR_DRAGDROP					// Default event
};

LPMODEL modellistCntr_Vb2[] =
    {
    &modelCntr_Vb2,
    NULL
    };

MODELINFO modelinfoCntr_Vb2 =
    {
    VB200_VERSION, 			// VB version being used
    modellistCntr_Vb2		// MODEL list
    };

#endif  // RC_INVOKED

//---------------------------------------------------------------------------
